PIDOF(1)

NAMN
pidof — hitta process-ID för ett körande program.

SYNOPSIS
pidof [-s] [-c] [-x] [-o omitpid[,omitpid..]] [-o omitpid[,omitpid..]..] [-S separator] program [program..]

BESKRIVNING
Pidof ittar process-id:t (pid:ar) för de namngivna programmen. Det skriver ut dessa id:n till standard ut.

FLAGGOR

-s  Enkelskott — detta instruerar programmet att endast retunrea en pid.

-c  Returnera endast process-id:n som kör med samma rotkatalog. Denna flagga ignoreras för andra användare än root, eftersom de inte kommer kunna kontrollera den aktuella rotkatalogen för processer de inte äger.

-x  Även skript — detta får programmet att även returnera process-id:n för skal som kör de namngivna skripten.

-o skippapid
    Säger till pidof att utesluta processer med det process-id:t. Den speciella processen %PPID kan användas för att namnge föräldraprocessen till pidof-programmet, med andra ord det anropande skalet eller skalskriptet.

-S separator
    Use separator as a separator put between pids. Used only when more than one pids are printed for the program.

SLUTSTATUS

0   Åtminstone ett program hittades med det begärda namnet.

1   Inget program hittades med det begärda namnet.

FEL
When using the -x option, pidof only has a simple method for detecting scripts and will miss scripts that, for example, use env. This limitation is due to how the scripts look in the proc filesystem.

SE ÄVEN
pgrep(1), pkill(1)

UPPHOVSMAN
Jaromír Cápíc <jcapik@redhat.com>